VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::DatacenterStub Class Reference

Remote stub implementation of the Datacenter API service. More...

Inherits vmware::vcenter::Datacenter.

List of all members.

## Public Member Functions
| DatacenterStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
string | Create (vmware.vcenter.DatacenterTypes.CreateSpec spec)
| Create a new datacenter in the vCenter inventory.
string | Create (vmware.vcenter.DatacenterTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Create a new datacenter in the vCenter inventory.
global::System.Threading.Tasks.Task < string > | CreateAsync (vmware.vcenter.DatacenterTypes.CreateSpec spec)
| Create a new datacenter in the vCenter inventory.
global::System.Threading.Tasks.Task < string > | CreateAsync (vmware.vcenter.DatacenterTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Create a new datacenter in the vCenter inventory.
void | Delete (string datacenter, bool?force)
| Delete an empty datacenter from the vCenter Server.
void | Delete (string datacenter, bool?force, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete an empty datacenter from the vCenter Server.
global::System.Threading.Tasks.Task | DeleteAsync (string datacenter, bool?force)
| Delete an empty datacenter from the vCenter Server.
global::System.Threading.Tasks.Task | DeleteAsync (string datacenter, bool?force, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete an empty datacenter from the vCenter Server.
global::System.Collections.Generic.List < vmware.vcenter.DatacenterTypes.Summary > | List (vmware.vcenter.DatacenterTypes.FilterSpec filter)
| Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the Datacenter.FilterSpec .
global::System.Collections.Generic.List < vmware.vcenter.DatacenterTypes.Summary > | List (vmware.vcenter.DatacenterTypes.FilterSpec filter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the Datacenter.FilterSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.DatacenterTypes.Summary > > | ListAsync (vmware.vcenter.DatacenterTypes.FilterSpec filter)
| Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the Datacenter.FilterSpec .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.DatacenterTypes.Summary > > | ListAsync (vmware.vcenter.DatacenterTypes.FilterSpec filter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the Datacenter.FilterSpec .
vmware.vcenter.DatacenterTypes.Info | Get (string datacenter)
| Retrieves information about the datacenter corresponding to datacenter .
vmware.vcenter.DatacenterTypes.Info | Get (string datacenter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the datacenter corresponding to datacenter .
global::System.Threading.Tasks.Task < vmware.vcenter.DatacenterTypes.Info > | GetAsync (string datacenter)
| Retrieves information about the datacenter corresponding to datacenter .
global::System.Threading.Tasks.Task < vmware.vcenter.DatacenterTypes.Info > | GetAsync (string datacenter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the datacenter corresponding to datacenter .

## Detailed Description

Remote stub implementation of the Datacenter API service.

## Constructor & Destructor Documentation

vmware::vcenter::DatacenterStub::DatacenterStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

string vmware::vcenter::DatacenterStub::Create | ( | vmware.vcenter.DatacenterTypes.CreateSpec | spec | ) | `[inline]`

Create a new datacenter in the vCenter inventory.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.AlreadyExists | if the datacenter with the same name is already present.
  vmware.vapi.std.errors.InvalidArgument | if the datacenter name is empty or invalid as per the underlying implementation.
  vmware.vapi.std.errors.InvalidArgument | if the folder is not specified and the system cannot choose a suitable one.
  vmware.vapi.std.errors.NotFound | if the datacenter folder cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  spec | Specification for the new datacenter to be created.

Returns:
  The identifier of the newly created datacenter The result will be an identifier for the resource type: `Datacenter` .

Implements vmware::vcenter::Datacenter.

string vmware::vcenter::DatacenterStub::Create | ( | vmware.vcenter.DatacenterTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Create a new datacenter in the vCenter inventory.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.AlreadyExists | if the datacenter with the same name is already present.
  vmware.vapi.std.errors.InvalidArgument | if the datacenter name is empty or invalid as per the underlying implementation.
  vmware.vapi.std.errors.InvalidArgument | if the folder is not specified and the system cannot choose a suitable one.
  vmware.vapi.std.errors.NotFound | if the datacenter folder cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  spec | Specification for the new datacenter to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the newly created datacenter The result will be an identifier for the resource type: `Datacenter` .

Implements vmware::vcenter::Datacenter.

global::System.Threading.Tasks.Task<string> vmware::vcenter::DatacenterStub::CreateAsync | ( | vmware.vcenter.DatacenterTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Create a new datacenter in the vCenter inventory.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.AlreadyExists | if the datacenter with the same name is already present.
  vmware.vapi.std.errors.InvalidArgument | if the datacenter name is empty or invalid as per the underlying implementation.
  vmware.vapi.std.errors.InvalidArgument | if the folder is not specified and the system cannot choose a suitable one.
  vmware.vapi.std.errors.NotFound | if the datacenter folder cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  spec | Specification for the new datacenter to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the newly created datacenter The result will be an identifier for the resource type: `Datacenter` .

Implements vmware::vcenter::Datacenter.

global::System.Threading.Tasks.Task<string> vmware::vcenter::DatacenterStub::CreateAsync | ( | vmware.vcenter.DatacenterTypes.CreateSpec | spec | ) | `[inline]`

Create a new datacenter in the vCenter inventory.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.AlreadyExists | if the datacenter with the same name is already present.
  vmware.vapi.std.errors.InvalidArgument | if the datacenter name is empty or invalid as per the underlying implementation.
  vmware.vapi.std.errors.InvalidArgument | if the folder is not specified and the system cannot choose a suitable one.
  vmware.vapi.std.errors.NotFound | if the datacenter folder cannot be found.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  spec | Specification for the new datacenter to be created.

Returns:
  The identifier of the newly created datacenter The result will be an identifier for the resource type: `Datacenter` .

Implements vmware::vcenter::Datacenter.

void vmware::vcenter::DatacenterStub::Delete | ( | string | datacenter,
|  | bool? | force
| ) |  | `[inline]`

Delete an empty datacenter from the vCenter Server.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no datacenter associated with datacenter in the system.
  vmware.vapi.std.errors.ResourceInUse | if the datacenter associated with datacenter is not empty.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  datacenter | Identifier of the datacenter to be deleted. The parameter must be an identifier for the resource type: `Datacenter` .
  force | If true, delete the datacenter even if it is not empty. If null a vmware.vapi.std.errors.ResourceInUse error will be reported if the datacenter is not empty. This is the equivalent of passing the value false.

Implements vmware::vcenter::Datacenter.

void vmware::vcenter::DatacenterStub::Delete | ( | string | datacenter,
|  | bool? | force,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete an empty datacenter from the vCenter Server.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no datacenter associated with datacenter in the system.
  vmware.vapi.std.errors.ResourceInUse | if the datacenter associated with datacenter is not empty.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  datacenter | Identifier of the datacenter to be deleted. The parameter must be an identifier for the resource type: `Datacenter` .
  force | If true, delete the datacenter even if it is not empty. If null a vmware.vapi.std.errors.ResourceInUse error will be reported if the datacenter is not empty. This is the equivalent of passing the value false.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::Datacenter.

global::System.Threading.Tasks.Task vmware::vcenter::DatacenterStub::DeleteAsync | ( | string | datacenter,
|  | bool? | force,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete an empty datacenter from the vCenter Server.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no datacenter associated with datacenter in the system.
  vmware.vapi.std.errors.ResourceInUse | if the datacenter associated with datacenter is not empty.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  datacenter | Identifier of the datacenter to be deleted. The parameter must be an identifier for the resource type: `Datacenter` .
  force | If true, delete the datacenter even if it is not empty. If null a vmware.vapi.std.errors.ResourceInUse error will be reported if the datacenter is not empty. This is the equivalent of passing the value false.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::Datacenter.

global::System.Threading.Tasks.Task vmware::vcenter::DatacenterStub::DeleteAsync | ( | string | datacenter,
|  | bool? | force
| ) |  | `[inline]`

Delete an empty datacenter from the vCenter Server.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no datacenter associated with datacenter in the system.
  vmware.vapi.std.errors.ResourceInUse | if the datacenter associated with datacenter is not empty.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  datacenter | Identifier of the datacenter to be deleted. The parameter must be an identifier for the resource type: `Datacenter` .
  force | If true, delete the datacenter even if it is not empty. If null a vmware.vapi.std.errors.ResourceInUse error will be reported if the datacenter is not empty. This is the equivalent of passing the value false.

Implements vmware::vcenter::Datacenter.

vmware.vcenter.DatacenterTypes.Info vmware::vcenter::DatacenterStub::Get | ( | string | datacenter | ) | `[inline]`

Retrieves information about the datacenter corresponding to datacenter .

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no datacenter associated with datacenter in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  datacenter | Identifier of the datacenter. The parameter must be an identifier for the resource type: `Datacenter` .

Returns:
  The Datacenter.Info instances that corresponds to the datacenter .

Implements vmware::vcenter::Datacenter.

vmware.vcenter.DatacenterTypes.Info vmware::vcenter::DatacenterStub::Get | ( | string | datacenter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the datacenter corresponding to datacenter .

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no datacenter associated with datacenter in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  datacenter | Identifier of the datacenter. The parameter must be an identifier for the resource type: `Datacenter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The Datacenter.Info instances that corresponds to the datacenter .

Implements vmware::vcenter::Datacenter.

global::System.Threading.Tasks.Task<vmware.vcenter.DatacenterTypes.Info> vmware::vcenter::DatacenterStub::GetAsync | ( | string | datacenter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the datacenter corresponding to datacenter .

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no datacenter associated with datacenter in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  datacenter | Identifier of the datacenter. The parameter must be an identifier for the resource type: `Datacenter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The Datacenter.Info instances that corresponds to the datacenter .

Implements vmware::vcenter::Datacenter.

global::System.Threading.Tasks.Task<vmware.vcenter.DatacenterTypes.Info> vmware::vcenter::DatacenterStub::GetAsync | ( | string | datacenter | ) | `[inline]`

Retrieves information about the datacenter corresponding to datacenter .

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if there is no datacenter associated with datacenter in the system.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  datacenter | Identifier of the datacenter. The parameter must be an identifier for the resource type: `Datacenter` .

Returns:
  The Datacenter.Info instances that corresponds to the datacenter .

Implements vmware::vcenter::Datacenter.

global::System.Collections.Generic.List<vmware.vcenter.DatacenterTypes.Summary> vmware::vcenter::DatacenterStub::List | ( | vmware.vcenter.DatacenterTypes.FilterSpec | filter | ) | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the Datacenter.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 datacenters match the Datacenter.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching datacenters for which information should be returned. If null, the behavior is equivalent to a Datacenter.FilterSpec with all fields null which means all datacenters match the filter.

Returns:
  Commonly used information about the datacenters matching the Datacenter.FilterSpec .

Implements vmware::vcenter::Datacenter.

global::System.Collections.Generic.List<vmware.vcenter.DatacenterTypes.Summary> vmware::vcenter::DatacenterStub::List | ( | vmware.vcenter.DatacenterTypes.FilterSpec | filter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the Datacenter.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 datacenters match the Datacenter.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching datacenters for which information should be returned. If null, the behavior is equivalent to a Datacenter.FilterSpec with all fields null which means all datacenters match the filter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Commonly used information about the datacenters matching the Datacenter.FilterSpec .

Implements vmware::vcenter::Datacenter.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.DatacenterTypes.Summary> > vmware::vcenter::DatacenterStub::ListAsync | ( | vmware.vcenter.DatacenterTypes.FilterSpec | filter | ) | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the Datacenter.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 datacenters match the Datacenter.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching datacenters for which information should be returned. If null, the behavior is equivalent to a Datacenter.FilterSpec with all fields null which means all datacenters match the filter.

Returns:
  Commonly used information about the datacenters matching the Datacenter.FilterSpec .

Implements vmware::vcenter::Datacenter.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.DatacenterTypes.Summary> > vmware::vcenter::DatacenterStub::ListAsync | ( | vmware.vcenter.DatacenterTypes.FilterSpec | filter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the Datacenter.FilterSpec .

Exceptions:

  vmware.vapi.std.errors.UnableToAllocateResource | if more than 1000 datacenters match the Datacenter.FilterSpec .
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  filter | Specification of matching datacenters for which information should be returned. If null, the behavior is equivalent to a Datacenter.FilterSpec with all fields null which means all datacenters match the filter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Commonly used information about the datacenters matching the Datacenter.FilterSpec .

Implements vmware::vcenter::Datacenter.

The documentation for this class was generated from the following file:

- DatacenterStub.cs